net.minecraft.client.multiplayer

## Class WorldClient

- java.lang.Object
- - net.minecraft.world.World
  - - net.minecraft.client.multiplayer.WorldClient

- All Implemented Interfaces:
    IBlockAccess

      public class WorldClient
      extends World

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.world.World

      `activeChunkSet, chunkProvider, difficultySetting, DIST_HASH_MAGIC, findingSpawnPoint, isRemote, lastLightningBolt, loadedEntityList, loadedTileEntityList, mapStorage, MAX_ENTITY_RADIUS, perWorldStorage, playerEntities, prevRainingStrength, prevThunderingStrength, provider, rainingStrength, rand, saveHandler, scheduledUpdatesAreImmediate, skylightSubtracted, spawnHostileMobs, spawnPeacefulMobs, theProfiler, thunderingStrength, unloadedEntityList, updateLCG, villageCollectionObj, villageSiegeObj, weatherEffects, worldAccesses, worldInfo, worldScoreboard`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldClient(NetHandlerPlayClient p_i45063_1_, WorldSettings p_i45063_2_, int p_i45063_3_, EnumDifficulty p_i45063_4_, Profiler p_i45063_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntityToWorld(int par1, Entity par2Entity)`
    `CrashReportCategory` | `addWorldInfoToCrashReport(CrashReport par1CrashReport)`
    `protected IChunkProvider` | `createChunkProvider()`
    `void` | `doPreChunk(int par1, int par2, boolean par3)`
    `void` | `doVoidFogParticles(int par1, int par2, int par3)`
    `protected void` | `func_147456_g()`
    `boolean` | `func_147492_c(int p_147492_1_, int p_147492_2_, int p_147492_3_, Block p_147492_4_, int p_147492_5_)`
    `Entity` | `getEntityByID(int par1)`
    `void` | `invalidateBlockReceiveRegion(int par1, int par2, int par3, int par4, int par5, int par6)`
    `void` | `makeFireworks(double par1, double par3, double par5, double par7, double par9, double par11, NBTTagCompound par13NBTTagCompound)`
    `void` | `onEntityAdded(Entity par1Entity)`
    `void` | `onEntityRemoved(Entity par1Entity)`
    `void` | `playSound(double par1, double par3, double par5, java.lang.String par7Str, float par8, float par9, boolean par10)`
    `void` | `removeAllEntities()`
    `void` | `removeEntity(Entity par1Entity)`
    `Entity` | `removeEntityFromWorld(int par1)`
    `void` | `sendQuittingDisconnectingPacket()`
    `void` | `setWorldScoreboard(Scoreboard par1Scoreboard)`
    `void` | `setWorldTime(long par1)`
    `boolean` | `spawnEntityInWorld(Entity par1Entity)`
    `void` | `tick()`
    `protected void` | `updateWeather()`
    `void` | `updateWeatherBody()`

    - ### Methods inherited from class net.minecraft.world.World

      `addBlockEvent, addLoadedEntities, addTileEntity, addWeatherEffect, addWorldAccess, blockExists, calculateInitialSkylight, calculateInitialWeatherBody, calculateSkylightSubtracted, canBlockFreeze, canBlockFreezeBody, canBlockSeeTheSky, canLightningStrikeAt, canMineBlock, canMineBlockBody, canPlaceEntityOnSide, canSnowAtBody, checkBlockCollision, checkChunksExist, checkNoEntityCollision, checkNoEntityCollision, checkSessionLock, chunkExists, countEntities, countEntities, createExplosion, destroyBlockInWorldPartially, doChunksNearChunkExist, doesBlockHaveSolidTopSurface, drawCloudsBody, extendedLevelsInChunkCache, extinguishFire, findClosestStructure, findNearestEntityWithinAABB, finishSetup, func_147446_b, func_147447_a, func_147448_a, func_147450_X, func_147451_t, func_147453_f, func_147457_a, func_147461_a, func_147462_b, func_147467_a, func_147469_q, func_147470_e, func_147473_B, func_147478_e, func_147479_m, func_147480_a, func_82738_a, getActualHeight, getBiomeGenForCoords, getBiomeGenForCoordsBody, getBlock, getBlockDensity, getBlockLightOpacity, getBlockLightValue_do, getBlockLightValue, getBlockMetadata, getBlockPowerInput, getCelestialAngle, getCelestialAngleRadians, getChunkFromBlockCoords, getChunkFromChunkCoords, getChunkHeightMapMinimum, getChunkProvider, getClosestPlayer, getClosestPlayerToEntity, getClosestVulnerablePlayer, getClosestVulnerablePlayerToEntity, getCloudColour, getCollidingBoundingBoxes, getCurrentDate, getCurrentMoonPhaseFactor, getDebugLoadedEntities, getEntitiesWithinAABB, getEntitiesWithinAABBExcludingEntity, getEntitiesWithinAABBExcludingEntity, getEntityPathToXYZ, getFogColor, getFullBlockLightValue, getGameRules, getHeight, getHeightValue, getHorizon, getIndirectPowerLevelTo, getIndirectPowerOutput, getLightBrightness, getLightBrightnessForSkyBlocks, getLoadedEntityList, getMoonPhase, getPathEntityToEntity, getPendingBlockUpdates, getPersistentChunks, getPlayerEntityByName, getPrecipitationHeight, getProviderName, getRainStrength, getSavedLightValue, getSaveHandler, getScoreboard, getSeed, getSkyBlockTypeBrightness, getSkyColor, getSkyColorBody, getSpawnPoint, getStarBrightness, getStarBrightnessBody, getStrongestIndirectPower, getSunBrightness, getTileEntity, getTopBlock, getTopSolidOrLiquidBlock, getTotalWorldTime, getUniqueDataId, getWeightedThunderStrength, getWorldChunkManager, getWorldInfo, getWorldTime, getWorldVec3Pool, handleMaterialAcceleration, initialize, isAABBInMaterial, isAirBlock, isAnyLiquid, isBlockFreezable, isBlockFreezableNaturally, isBlockHighHumidity, isBlockIndirectlyGettingPowered, isBlockNormalCubeDefault, isBlockProvidingPowerTo, isBlockTickScheduledThisTick, isDaytime, isMaterialInBB, isRaining, isSideSolid, isSideSolid, isThundering, joinEntityInSurroundings, loadItemData, markBlockForUpdate, markBlockRangeForRenderUpdate, markBlocksDirtyVertical, markTileEntityChunkModified, newExplosion, notifyBlockChange, notifyBlockOfNeighborChange, notifyBlocksOfNeighborChange, notifyBlocksOfNeighborChange, playAuxSFX, playAuxSFXAtEntity, playBroadcastSound, playRecord, playSoundAtEntity, playSoundEffect, playSoundToNearExcept, rayTraceBlocks, rayTraceBlocks, removePlayerEntityDangerously, removeTileEntity, removeWorldAccess, scheduleBlockUpdate, scheduleBlockUpdateWithPriority, selectEntitiesWithinAABB, setActivePlayerChunksAndCheckLight, setAllowedSpawnTypes, setBlock, setBlock, setBlockMetadataWithNotify, setBlockToAir, setEntityState, setItemData, setLightValue, setRainStrength, setRandomSeed, setSpawnLocation, setSpawnLocation, setThunderStrength, setTileEntity, spawnParticle, tickUpdates, unloadEntities, updateAllPlayersSleepingFlag, updateEntities, updateEntity, updateEntityWithOptionalForce, updateLightByType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldClient

          public WorldClient(NetHandlerPlayClient p_i45063_1_,
                     WorldSettings p_i45063_2_,
                     int p_i45063_3_,
                     EnumDifficulty p_i45063_4_,
                     Profiler p_i45063_5_)

  - ### Method Detail

    - #### tick

          public void tick()

      Overrides:
        `tick` in class `World`

    - #### invalidateBlockReceiveRegion

          public void invalidateBlockReceiveRegion(int par1,
                                          int par2,
                                          int par3,
                                          int par4,
                                          int par5,
                                          int par6)

    - #### createChunkProvider

          protected IChunkProvider createChunkProvider()

      Specified by:
        `createChunkProvider` in class `World`

    - #### func_147456_g

          protected void func_147456_g()

      Overrides:
        `func_147456_g` in class `World`

    - #### doPreChunk

          public void doPreChunk(int par1,
                        int par2,
                        boolean par3)

    - #### spawnEntityInWorld

          public boolean spawnEntityInWorld(Entity par1Entity)

      Overrides:
        `spawnEntityInWorld` in class `World`

    - #### removeEntity

          public void removeEntity(Entity par1Entity)

      Overrides:
        `removeEntity` in class `World`

    - #### onEntityAdded

          public void onEntityAdded(Entity par1Entity)

      Overrides:
        `onEntityAdded` in class `World`

    - #### onEntityRemoved

          public void onEntityRemoved(Entity par1Entity)

      Overrides:
        `onEntityRemoved` in class `World`

    - #### addEntityToWorld

          public void addEntityToWorld(int par1,
                              Entity par2Entity)

    - #### getEntityByID

          public Entity getEntityByID(int par1)

      Specified by:
        `getEntityByID` in class `World`

    - #### removeEntityFromWorld

          public Entity removeEntityFromWorld(int par1)

    - #### func_147492_c

          public boolean func_147492_c(int p_147492_1_,
                              int p_147492_2_,
                              int p_147492_3_,
                              Block p_147492_4_,
                              int p_147492_5_)

    - #### sendQuittingDisconnectingPacket

          public void sendQuittingDisconnectingPacket()

      Overrides:
        `sendQuittingDisconnectingPacket` in class `World`

    - #### updateWeather

          protected void updateWeather()

      Overrides:
        `updateWeather` in class `World`

    - #### updateWeatherBody

          public void updateWeatherBody()

      Overrides:
        `updateWeatherBody` in class `World`

    - #### doVoidFogParticles

          public void doVoidFogParticles(int par1,
                                int par2,
                                int par3)

    - #### removeAllEntities

          public void removeAllEntities()

    - #### addWorldInfoToCrashReport

          public CrashReportCategory addWorldInfoToCrashReport(CrashReport par1CrashReport)

      Overrides:
        `addWorldInfoToCrashReport` in class `World`

    - #### playSound

          public void playSound(double par1,
                       double par3,
                       double par5,
                       java.lang.String par7Str,
                       float par8,
                       float par9,
                       boolean par10)

      Overrides:
        `playSound` in class `World`

    - #### makeFireworks

          public void makeFireworks(double par1,
                           double par3,
                           double par5,
                           double par7,
                           double par9,
                           double par11,
                           NBTTagCompound par13NBTTagCompound)

      Overrides:
        `makeFireworks` in class `World`

    - #### setWorldScoreboard

          public void setWorldScoreboard(Scoreboard par1Scoreboard)

    - #### setWorldTime

          public void setWorldTime(long par1)

      Overrides:
        `setWorldTime` in class `World`